Bug 102538 - Keyboard freeze at CD Test window, power-on required
Keyboard freeze at CD Test window, power-on required
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2003-08-16 17:37 EDT by Richard Hitt
Modified: 2015-01-04 17:02 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-01-10 20:03:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Richard Hitt 2003-08-16 17:37:27 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030624

Description of problem:
With severn CD 1 in the CD driver of my HP Pavilion ze5250 laptop computer, I
boot (or do power-on) and things proceed normally until
the first install window (the one that allows me to test my CDs).
At that time the keyboard and everything else freezes.  Ctrl-Alt-Delete does not
work.  I must power-on.  At power-on, under the same circumstances, the same
thing happens.

To fix:  about midway through the bringup sequence, during initscript
processing, I press and hold the ENTER key (thus causing many keyboard
interrupts per second).  I keep the key held.  This always results in the CD1
test beginning, at which time I release the ENTER key.  Tests of CD2 and CD3
proceed normally.  Installation proceeds normally.

This problem, and its fix, occur 100% repeatably.

I had the same problem installing RedHat 9, shrike, on the same laptop a few
months ago, and I resolved it the same way, by pressing and holding the ENTER key.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.put severn CD1 in CD drive
2.power on
3.wait for CD verification window
4.attempt to hit ENTER

Actual Results:  nothing

Expected Results:  CD1 testing should have started

Additional info:
Comment 1 Jeremy Katz 2003-08-16 19:30:27 EDT
Does booting with 'acpi=off' help?
Comment 2 Richard Hitt 2003-08-25 19:35:34 EDT
No, acpi=off does not change the symptom.
I booted with severn CD1 in the CD drive.  At the boot: prompt I typed
linux acpi=off
and hit enter.  Booting began.  At installation setup I received a box
saying that ohci1394 was loaded.  The next box was for CD testing, and
the keyboard was unresponsive.  I could not do Ctrl-Alt-Del.  I had to
power-off in order to recover the computer.  The symptoms are the same
as before, when I did not use acpi=off.
I had installed severn by the workaround described in my original report,
above; it still works fine.  This additional note is in (belated; sorry)
response to Jeremy Katz's question.  Happy to try further suggestions.
Happy to test boot floppy images or other workarounds you may want me
to try.
Comment 3 Tomislav Drpic 2004-01-29 15:23:05 EST

I have a HP Pavilion ze4540 while trying to install Fedora Core 1 I 
faced the same problem.

The solution I came up with it to disable Legacy USB Support in the 
BIOS.  So far everything else seems to be working fine (even the 
Microsoft USB Scroll Mouse).

Hope it helps,

Tomislav Drpic S.
Comment 4 Dave Jones 2004-11-19 20:58:08 EST
still a problem in latest release ?
Comment 5 Dave Jones 2005-01-10 20:03:08 EST
closing due to inactivity.

Note You need to log in before you can comment on or make changes to this bug.